function [data,s]=checkporog(data,nPorog)
% hint data in columns over threshold. 
% To save rejection - Figure\Accept and close
%
% Usage: [data,sInfo]=checkporog(data,nPorog)
%
% ver 1.0 (c) Dmitry Sherbina 2007

%
s='';
if ~exist('nPorog','var')
	nPorog=mean(std(data)*6)%750;
end
nFreq=250;
iiExtra=find(max(data)-min(data)>nPorog);
if numel(iiExtra)>0
	%visual
	c=repmat({[.5 .5 .5]},1,size(data,2));
	c(size(data,2)+1-iiExtra)={'k'};
	i=find(data(:,iiExtra(1))<-nPorog/2,1);
	if isempty(i)
		i=find(data(:,iiExtra(1))>nPorog/2,1);
	end
	t=fix(i/nFreq);

	i=find(data(:,iiExtra(1))<-nPorog/2);
	i2=find(data(:,iiExtra(1))>nPorog/2);
	i=sort([i;i2]);
	i([false;diff(i)==1])=[];
	tt=fix(i/nFreq);
	tt=unique(tt);
	tt([false;diff(tt)<2])=[];
	sTitle=['Check times: ',mat2str(tt)];
	evalin('base','clear TMPREJ');
	eegplot(data','srate',nFreq,'winlength',10,'spacing',100,'submean','off','scale','off','color',c)
	set(get(gca,'title'),'String',[sTitle,repmat(' ',1,10)],'HorizontalAlignment','right')
if(t)	
	set(findobj(gcf,'Tag','EPosition'),'String',t-5);
	eegplot('drawp',0);
end
waitfor(gcf)
try
	TMPREJ=evalin('base','TMPREJ');
%	if exist('TMPREJ','var')
		for ar=TMPREJ'
			iFrom=fix(ar(1));
			iTo=fix(ar(2));
			data(iFrom:iTo,:)=NaN;
s=[s,sprintf('Data points %d:%d became NaN. ',iFrom,iTo)];
		end
catch
end
else
%	'no outs'
end
