function EEG=data2eeglabdataset(data, sTitle, nFreq)
%Prepare dataset for EEGLAB
%
% Usage: EEG=data2eeglabdataset(data[[, sTitle], nFreq])
%
% ver 1.0 (c) Dmitry Sherbina 2003

%1.1	2010-01-28	chanlocs fixed
if nargin<1
	help data2eeglabdataset
	return
end
if ~exist('nFreq','var')
	nFreq=250;
end
%check nRefs
[nPoint,nRef]=size(data);

EEG=eeg_emptyset;
EEG.srate=nFreq;
EEG.data=data';

%EEG=eeg_checkset(EEG);
if exist('sTitle','var')
	EEG.setname=sTitle;
end
EEG.nbchan=nRef;
EEG.pnts=nPoint;
EEG.trials=1;
EEG.xmin=0;
EEG.xmax=(nPoint-1)/nFreq;
if nRef<12;
	warning('nRefs<12')
else
	u=[fileparts(mfilename('fullpath')),'\eloc',num2str(nRef),'.loc'];
	EEG.chanlocs = readlocs(u,'filetype','loc');
end

