function V=eegblinkout(V, varargin)
% use ica to kill morgunchiki
% 
% ver 1.0 (c) Dmitry Sherbina 2014

vipara('f',250,'auto',false)

%% data
[n,nRef]=size(V);
bbNaN=(isnan(V(:,1)));
V(bbNaN,:)=[];
%V=filtButter(V, 0.1,40);

%% ica
wMig=[0.7 0.68 0.7 0.12 0.15 0.34 0.15 0.12 0.11 0.1 0.11 0.1 0.11 0.03 0.02 0.02 0.02 0.03 0.01 0.01 0.01];
wBok=[0.5 0 -0.5   0.4 0.23 0 -0.23 -0.4   0.1 0.05 0 -0.05 -0.1   0.02 0.01 0 -0.01 -0.02   0 0 0];
if nRef==19
	wMig([2,20])=[];
	wBok([2,20])=[];
end
W0=zeros(nRef);
W0(1,:)=wMig;
W0(2,:)=wBok;
if nRef==21
	ii=[4,8,9,13,14,18];
else
	ii=[3 7 8 12 13 17];
end
W0(3,ii)=[.2,.2,.5,.5,.2,.2];
%find(eye(nRef))
if nRef==19
	ii=[61 81 101 121 141 161 181 201 221 241 261 281 301 321 341 361];
else
	ii=[67 89 111 133 155 177 199 221 243 265 287 309 331 353 375 397 419 441];
end
W0(ii)=.01;
[W,S,compvars,bias,signs,lrates,act]=runica(V','verbose',fastif(auto,'off','on'),'weights',W0,'maxsteps',1024);
if ~auto
eegplot(act,'srate',f,'winlength',20,'spacing',20,'submean','off')
end
%detectio
iiCompReject=1;
mx=corrcoef([wMig;W]');
rr=mx(1,2:end);
iComp=find(abs(rr)>0.8);
if numel(iComp)>1
%	iComp
	bbG=(rr(iComp)>0.9);
	bbB=(rr(iComp)<0);
	iComp=iComp(bbG | ~bbB);
elseif numel(iComp)<1
	[v,iComp]=max(rr);
end
if ~isequal(iComp,1)
	iiCompReject=iComp;
end
%bok
mx=corrcoef([wBok;W]');
rr=mx(1,2:end);
iComp=find(abs(rr)>0.75);
if numel(iComp)>0
	iiCompReject=[iiCompReject,iComp];
else
	[v,iComp]=max(rr);
if(v>0.5) && ~auto
	figure
	viewtopo(W(iComp,:));
	title([num2str(iComp),' - ',num2str(v)]);
	b=questdlg('Want to reject such side eyes?');
	if strcmp(b,'Yes')
		iiCompReject=[iiCompReject,iComp]
	end
	close
end
end
nComp=numel(iiCompReject);
if(numel(nComp)<1)
	return
end

if ~auto
figure('Position',[859  50   159   473])
for iComp=1:nComp
	subplot(nComp,1,iComp)
	viewtopo(W(iiCompReject(iComp),:));
	title(iiCompReject(iComp))
end
end

%clear eog
if ~diff(size(W))
	winv = inv(W*S);
else
	winv = pinv(W*S);
end

acttmp=(W(iiCompReject,:)*S)*V';
dataR=winv(:,iiCompReject)*acttmp;dataR=dataR';

dataR=filtSGolay(dataR);

V=V-dataR;

if n>size(V,1)
	V_=nan(n,nRef);
	V_(~bbNaN,:)=V;
    V=V_;
end