function [hA,u]=viewtopo(data, nLim, varargin)
%View map in current axes
%
% Usage: hA=viewtopo(data[, nLim])
%	data - array of 19 or 21 values
%
% ver 1.0.1 (c) Dmitry Sherbina 2009

switch nargin
case 0
	help viewtopo
	return
otherwise
%	error('Incorrect arguments number');
end

nRef=numel(data);
% if nRef<19
% 	warning('STIREAC:type','too few data')
% 	nRef=21;
% 	%return
% end
u=[fileparts(mfilename('fullpath')),'\eloc',num2str(nRef),'.loc'];
if( ~exist('nLim') || isempty(nLim))
hA=topoplot(data, u, varargin{:});
else
	if numel(nLim)==1
		nLim=[-nLim,nLim];
	end
	hA=topoplot(data, u,'maplimits', nLim, 'plotrad', 0.45, varargin{:});
end
ll=0.6 * [-1 1];
set(gca,'XLim', ll,'YLim', ll);